﻿@Code
    ViewData("Title") = "Home Page"
End Code
<h1>Windows Azure MarketPlace Demonstration</h1>
<h2>Visual Studio Magazine - On VB - November 2011 - Joe Kunk</h2>

This site demonstrates working code to make a service call to each of the database linked below with default formatting of the results.
Most database have additional query methods that can be explored for further benefit. 
Both C# and Visual Basic helper projects have been provided. 
To use the C# helper project, simply delete the reference to AzureMarketplaceHelpers_VB and reference AzureMarketplaceHelpers_CS. 
See the note at the end of the page for instructions how to supply required creditentials to run this site live.
For questions and comments, you may email the author at joekunk@ajboggs.com
<br />
<p>@Html.ActionLink("Bing Translator", "Index", "Translator", Nothing, Nothing)</p>
<p>@Html.ActionLink("Twitter Rank", "Index", "Twitter", Nothing, Nothing)</p>
<p>@Html.ActionLink("United Nations Gender Info 2007", "Gender", "UnitedNations", Nothing, Nothing)</p>
<p>@Html.ActionLink("United Nations Global Indicators", "GlobalIndicators", "UnitedNations",Nothing,Nothing)</p>
<p>@Html.ActionLink("United Nations Millennium Development Goals", "Millennium", "UnitedNations", Nothing, Nothing)</p>
<p>@Html.ActionLink("United Nations Programme on HIV/AIDS", "HIVAIDS", "UnitedNations", Nothing, Nothing)</p>
<p>@Html.ActionLink("United Nations World Health Organization", "WHO", "UnitedNations", Nothing, Nothing)</p>
<p>@Html.ActionLink("United States Crime 2006-2008", "Index", "USCrime", Nothing, Nothing)</p>
<p>@Html.ActionLink("Wolfram Facts", "Index", "WolframFacts", Nothing, Nothing)</p>
<p>@Html.ActionLink("World Bank World Development Indicators", "Index", "WorldDevelopment", Nothing, Nothing)</p>
<p>@Html.ActionLink("Zillow Home Valuation", "Valuation", "Zillow", Nothing, Nothing)</p>
<p>@Html.ActionLink("Zillow Mortgage Information", "Mortgage", "Zillow", Nothing, Nothing)</p>
<p>@Html.ActionLink("Zillow Neighborhood Data", "Neighborhood", "Zillow", Nothing, Nothing)</p>
<p>@Html.ActionLink("Zillow Property Details", "PropertyDetail", "Zillow", Nothing, Nothing)</p>

<p>
Windows Azure Markeplace credentials of Customer ID and Account Key are required to run any of these demos. 
By default the AzureMarketPlaceDemo.Helpers.MarketplaceCredentials method supplies these values from the 
[HKEY_LOCAL_MACHINE\Software\VSM\ON VB\AzureMarketplace] registry SubKey. To place your credentials in those keys, 
open the supplied CreateRegistryKeys.reg file with notepad, insert your own credentials, save the file and 
double-click the .reg file. Administrator rights are needed.
</p

<p>
If you do not wish to store your credentials in the registry, you can override the 
AzureMarketPlaceDemo.Helpers.MarketplaceCredentials method and return an instance 
of System.Net.NetworkCredentials created with the Customer ID and Access Key obtained 
by the method of your choosing.
</p>
