﻿@ModelType IEnumerable(Of AzureMarketPlace.Helpers.UNGlobalIndicators.DataSeries)

@Code
    ViewData("Title") = "GlobalIndicators"
End Code

<h2>United Nations Global Indicators</h2>

<table>
    <tr>
        <th>
            UniqueId
        </th>
        <th>
            DataSetId
        </th>
        <th>
            ID
        </th>
        <th>
            Name
        </th>
        <th></th>
    </tr>

@For Each item In Model
    Dim currentItem = item
    @<tr>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.UniqueId)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.DataSetId)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Id)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Name)
        </td>
    </tr>
Next
<div>
    @Html.ActionLink("Back to Home", "Index", "Home")
</div>


</table>
