﻿@ModelType IEnumerable(Of AzureMarketPlace.Helpers.WorldBank.IndicatorEntity)

@Code
    ViewData("Title") = "Index"
End Code

<h2>World Bank World Development Indicators</h2>

<table>
    <tr>
        <th>
            Code
        </th>
        <th>
            Name
        </th>
        <th>
            DataSourceId
        </th>
        <th>
            DataSourceName
        </th>
        <th>
            SourceNote
        </th>
        <th>
            SourceOrganization
        </th>
        <th>
            TopicId1
        </th>
        <th>
            TopicName1
        </th>
    </tr>

@For Each item In Model
    Dim currentItem = item
    @<tr>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Code)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Name)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.DataSourceId)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.DataSourceName)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.SourceNote)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.SourceOrganization)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.TopicId1)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.TopicName1)
        </td>
    </tr>
Next

</table>
<div>
    @Html.ActionLink("Back to Home", "Index", "Home")
</div>