﻿@ModelType IEnumerable(Of AzureMarketPlace.Helpers.Zillow.DemographicsEntity)

@Code
    ViewData("Title") = "Neighborhood"
End Code

<h2>Zillow Neighborhood Information</h2>

<table>
    <tr>
        <th>
            ChartName
        </th>
        <th>
            ChartUrl
        </th>
        <th>
            RegionId
        </th>
        <th>
            State
        </th>
        <th>
            City
        </th>
        <th>
            Neighborhood
        </th>
        <th>
            Latitude
        </th>
        <th>
            Longitude
        </th>
        <th>
            MainLink
        </th>
        <th>
            AffordabilityLink
        </th>
        <th>
            HomesAndRealEstateLink
        </th>
        <th>
            PeopleLink
        </th>
        <th>
            ForSaleLink
        </th>
        <th>
            ForSaleByOwnerLink
        </th>
        <th>
            ForeclosuresLink
        </th>
        <th>
            RecentlySoldLink
        </th>
        <th>
            Market
        </th>
        <th>
            MarketDeprecated
        </th>
    </tr>

@For Each item In Model
    Dim currentItem = item
    @<tr>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ChartName)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ChartUrl)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.RegionId)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.State)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.City)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Neighborhood)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Latitude)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Longitude)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.MainLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.AffordabilityLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.HomesAndRealEstateLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PeopleLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ForSaleLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ForSaleByOwnerLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ForeclosuresLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.RecentlySoldLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Market)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.MarketDeprecated)
        </td>
    </tr>
Next

</table>
<div>
    @Html.ActionLink("Back to Home", "Index", "Home")
</div>