﻿Imports Microsoft.Win32
Imports System.Net
Namespace Helpers
    Public Class MarketplaceCredentials
        Private Function GetAccountKey() As String
            Dim regPath As String = "SOFTWARE\VSM\ON VB\AzureMarketplace"
            Return Registry.LocalMachine.OpenSubKey(regPath).GetValue("AccountKey").ToString
        End Function

        Public Overridable Function GetCredentials() As NetworkCredential
            Dim customerID As String = Me.GetCustomerID
            Return New NetworkCredential(customerID, Me.GetAccountKey)
        End Function

        Private Function GetCustomerID() As String
            Dim regPath As String = "SOFTWARE\VSM\ON VB\AzureMarketplace"
            Return Registry.LocalMachine.OpenSubKey(regPath).GetValue("CustomerID").ToString
        End Function

        Public Function test() As String
            Return ""
        End Function

    End Class
End Namespace