﻿Namespace Helpers
    Public Class ServiceUri
        Public Shared ReadOnly Property Translator As Uri
            Get
                Return New Uri(ServiceUriTranslator)
            End Get
        End Property

        Public Shared ReadOnly Property Twitter As Uri
            Get
                Return New Uri(ServiceUriTwitter)
            End Get
        End Property
        Public Shared ReadOnly Property UNGender2007 As Uri
            Get
                Return New Uri(ServiceUriUNGender2007)
            End Get
        End Property

        Public Shared ReadOnly Property UNHIVAIDS As Uri
            Get
                Return New Uri(ServiceUriUNHIVAIDS)
            End Get
        End Property
        Public Shared ReadOnly Property UNKeyGlobalIndicators As Uri
            Get
                Return New Uri(ServiceUriUNKeyGLobalIndicators)
            End Get
        End Property
        Public Shared ReadOnly Property UNMillenniumDevelopmentGoals As Uri
            Get
                Return New Uri(ServiceUriUNMillenniumDevelopmentGoals)
            End Get
        End Property

        Public Shared ReadOnly Property UNWorldHealthOrganization As Uri
            Get
                Return New Uri(ServiceUriUNWorldHealthOrganization)
            End Get
        End Property
        Public Shared ReadOnly Property USCrime2006_2008 As Uri
            Get
                Return New Uri(ServiceUriUSCrime2006_2008)
            End Get
        End Property
        Public Shared ReadOnly Property WolframFacts As Uri
            Get
                Return New Uri(ServiceUriWolframFacts)
            End Get
        End Property
        Public Shared ReadOnly Property WorldBankWorldDevelopmentIndicators As Uri
            Get
                Return New Uri(ServiceUriWorldBankWorldDevelopmentIndicators)
            End Get
        End Property
        Public Shared ReadOnly Property ZillowHomeValuation As Uri
            Get
                Return New Uri(ServiceUriZillowHomeValuation)
            End Get
        End Property
        Public Shared ReadOnly Property ZillowMortgateInformation As Uri
            Get
                Return New Uri(ServiceUriZillowMortgateInformation)
            End Get
        End Property
        Public Shared ReadOnly Property ZillowNeighborhoodData As Uri
            Get
                Return New Uri(ServiceUriZillowNeighborhoodData)
            End Get
        End Property
        Public Shared ReadOnly Property ZillowPropertyDetails As Uri
            Get
                Return New Uri(ServiceUriZillowPropertyDetails)
            End Get
        End Property
        Public Shared ReadOnly Property Databases As Uri
            Get
                Return New Uri(ServiceUriDatabases)
            End Get
        End Property

        Public Const ServiceUriTranslator As String = "https://api.datamarket.azure.com/Bing/MicrosoftTranslator/"
        Public Const ServiceUriTwitter As String = "https://api.datamarket.azure.com/InfoChimpsInc/Trstrank/"
        Public Const ServiceUriUNGender2007 As String = "https://api.datamarket.azure.com/UnitedNations/GenderInfo2007/"
        Public Const ServiceUriUNHIVAIDS As String = "https://api.datamarket.azure.com/UnitedNations/AIDS/"
        Public Const ServiceUriUNKeyGLobalIndicators As String = "https://api.datamarket.azure.com/UnitedNations/GlobalIndicators/"
        Public Const ServiceUriUNMillenniumDevelopmentGoals As String = "https://api.datamarket.azure.com/UnitedNations/MDG/"
        Public Const ServiceUriUNWorldHealthOrganization As String = "https://api.datamarket.azure.com/UnitedNations/WHO/"
        Public Const ServiceUriUSCrime2006_2008 As String = "https://api.datamarket.azure.com/data.gov/Crimes/"
        Public Const ServiceUriWolframFacts As String = "https://api.datamarket.azure.com/WolframAlpha/Facts/"
        Public Const ServiceUriWorldBankWorldDevelopmentIndicators As String = "https://api.datamarket.azure.com/WorldBank/WorldDevelopmentIndicators/"
        Public Const ServiceUriZillowHomeValuation As String = "https://api.datamarket.azure.com/Zillow/HomeValuationAPIs/"
        Public Const ServiceUriZillowMortgateInformation As String = "https://api.datamarket.azure.com/Zillow/MortgageInformationAPIs/"
        Public Const ServiceUriZillowNeighborhoodData As String = "https://api.datamarket.azure.com/Zillow/NeighborhoodDataAPIs/"
        Public Const ServiceUriZillowPropertyDetails As String = "https://api.datamarket.azure.com/Zillow/PropertyDetailsAPIs/"
        Public Const ServiceUriDatabases = "https://api.datamarket.azure.com/Services/All/Datasets/"
    End Class
End Namespace