﻿Imports System.Data.Services.Client
Namespace Helpers.Infochimps
    Public Class TrstrankContainer
        Inherits DataServiceContext
        Public Sub New(ByVal serviceRoot As Uri)
            MyBase.New(serviceRoot)
        End Sub

        Public Function GetTrstrankUsingScreenName(ByVal ScreenName As String) As DataServiceQuery(Of TrstrankEntity)
            If (ScreenName Is Nothing) Then
                Throw New ArgumentNullException("ScreenName", "ScreenName value cannot be null")
            End If
            Dim query As DataServiceQuery(Of TrstrankEntity) = MyBase.CreateQuery(Of TrstrankEntity)("GetTrstrankUsingScreenName")
            If (Not ScreenName Is Nothing) Then
                query = query.AddQueryOption("ScreenName", ("'" & Uri.EscapeDataString(ScreenName) & "'"))
            End If
            Return query
        End Function

        Public Function GetTrstrankUsingUserId(ByVal UserId As Integer) As DataServiceQuery(Of TrstrankEntity)
            Return MyBase.CreateQuery(Of TrstrankEntity)("GetTrstrankUsingUserId").AddQueryOption("UserId", UserId)
        End Function
    End Class

    Public Class TrstrankEntity
        Public Sub New()

        End Sub
        Public Property ScreenName As String
        Public Property TrstquotientSpamminessMeasure As Integer
        Public Property TrstrankReputationMeasure As Double?
        Public Property UserId As Integer
    End Class
End Namespace

