﻿Imports AzureMarketPlace.Helpers
Namespace AzureMarketPlaceDemo
    Public Class TwitterController
        Inherits System.Web.Mvc.Controller

        ' GET: /Twitter
        Function Index() As ActionResult
            Dim model As New TwitterModel With {
                .ScreenName = "scottgu",
                .Ranking = 0.0
            }
            Return View(model)
        End Function

        ' POST: /Twitter/Ranking
        <HttpPost()>
        Function Ranking(model As TwitterModel) As ActionResult
            Dim ErrorObject As Exception = New Exception("")
            Try
                Dim context As New Infochimps.TrstrankContainer(ServiceUri.Twitter)
                context.Credentials = (New AzureMarketPlace.Helpers.MarketPlaceCredentials).GetCredentials
                Dim ranked = context.GetTrstrankUsingScreenName(model.ScreenName).ToList()
                If (Not IsNothing(ranked) AndAlso ranked.Count > 0) Then
                    model.Ranking = ranked(0).TrstrankReputationMeasure.Value
                    Return View(model)
                End If
            Catch ex As Exception
                ErrorObject = ex
            End Try
            Return RedirectToAction("Index", "Home", New With {.Error = ErrorObject})
        End Function


    End Class
End Namespace
