﻿Imports AzureMarketPlace.Helpers
Imports AzureMarketPlace

Namespace AzureMarketPlaceDemo
    Public Class UnitedNationsController
        Inherits System.Web.Mvc.Controller

        ' GET: /UnitedNations/Gender
        <HttpGet()>
        Function Gender() As ActionResult
            Dim context = New UNGender2007.UnitedNationsGenderInfo2007Container(ServiceUri.UNGender2007)
            context.Credentials = (New MarketplaceCredentials).GetCredentials
            Dim model = context.DataSeries.ToList()
            Return View(model)
        End Function

        <HttpGet()>
        Function GlobalIndicators() As ActionResult
            Dim context = New UNGlobalIndicators.UnitedNationsGlobalIndicatorsContainer(ServiceUri.UNKeyGlobalIndicators)
            context.Credentials = (New MarketplaceCredentials).GetCredentials
            Dim model = context.DataSeries.ToList()
            Return View(model)
        End Function

        <HttpGet()>
        Function Millennium() As ActionResult
            Dim context = New UNMDG.UnitedNationsMDGContainer(ServiceUri.UNMillenniumDevelopmentGoals)
            context.Credentials = (New MarketplaceCredentials).GetCredentials
            Dim model = context.DataSeries.ToList()
            Return View(model)
        End Function

        <HttpGet()>
        Function HIVAIDS() As ActionResult
            Dim context = New UNHIVAIDS.UnitedNationsAIDSContainer(ServiceUri.UNHIVAIDS)
            context.Credentials = (New MarketplaceCredentials).GetCredentials
            Dim model = context.DataSeries.ToList().OrderBy(Function(item) CInt(item.Id))
            Return View(model)
        End Function

        <HttpGet()>
        Function WHO() As ActionResult
            Dim context = New UNWHO.UnitedNationsWHOContainer(ServiceUri.UNWorldHealthOrganization)
            context.Credentials = (New MarketplaceCredentials).GetCredentials
            Dim model = context.DataSeries.ToList()
            Return View(model)
        End Function

    End Class
End Namespace
