﻿@ModelType AzureMarketPlaceDemo.TranslatorModel

@Code
    ViewData("Title") = "Index"
End Code

<h2>Index</h2>

<script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
<script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>

@Using Html.BeginForm("Translation", "Translator")
    @Html.ValidationSummary(False)
    @<fieldset>
        <legend>TranslatorModel</legend>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.SourceLanguageCode)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.SourceLanguageCode)
            @Html.ValidationMessageFor(Function(model) model.SourceLanguageCode)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.SourceText)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.SourceText)
            @Html.ValidationMessageFor(Function(model) model.SourceText)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.TranslationLanguageCode)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.TranslationLanguageCode)
            @Html.ValidationMessageFor(Function(model) model.TranslationLanguageCode)
        </div>

        <p>
            Valid language codes can be found at <a href="http://msdn.microsoft.com/en-us/library/hh456380.aspx">http://msdn.microsoft.com/en-us/library/hh456380.aspx</a><br />
            <input type="submit" value="Translate" />
        </p>
    </fieldset>
End Using

<div>
    @Html.ActionLink("Back to Home", "Index", "Home")
</div>
