﻿@ModelType IEnumerable(Of AzureMarketPlace.Helpers.Zillow.RateSummaryEntity)

@Code
    ViewData("Title") = "Zillow Mortgage Rate Information"
End Code

<h2>Zillow Mortgage Rate Information</h2>

<p></p>
@For Each item In Model
    Dim currentItem = item
            @Html.Raw("<br/>Thirty Year Fixed Today : ")@Html.DisplayFor(Function(modelItem) currentItem.ThirtyYearFixedToday)
            @Html.Raw("<br/>Thirty Year Fixed Count Today : ")@Html.DisplayFor(Function(modelItem) currentItem.ThirtyYearFixedCountToday)
            @Html.Raw("<br/>Fifteen Year Fixed Today : ")@Html.DisplayFor(Function(modelItem) currentItem.FifteenYearFixedToday)
            @Html.Raw("<br/>Fifteen Year Fixed Count Today : ")@Html.DisplayFor(Function(modelItem) currentItem.FifteenYearFixedCountToday)
            @Html.Raw("<br/>Five One ARM Today: ")@Html.DisplayFor(Function(modelItem) currentItem.FiveOneARMToday)
            @Html.Raw("<br/>Five One ARM Count Today: ")@Html.DisplayFor(Function(modelItem) currentItem.FiveOneARMCountToday)
            @Html.Raw("<br/>Thirty Year Fixed Last Week : ")@Html.DisplayFor(Function(modelItem) currentItem.ThirtyYearFixedLastWeek)
            @Html.Raw("<br/>Thirty Year Fixed Count Last Week : ")@Html.DisplayFor(Function(modelItem) currentItem.ThirtyYearFixedCountLastWeek)
            @Html.Raw("<br/>Fifteen Year Fixed Last Week : ")@Html.DisplayFor(Function(modelItem) currentItem.FifteenYearFixedLastWeek)
            @Html.Raw("<br/>FifteenYearFixedCountLastWeek : ")@Html.DisplayFor(Function(modelItem) currentItem.FifteenYearFixedCountLastWeek)
            @Html.Raw("<br/>FiveOneARMLastWeek : ")@Html.DisplayFor(Function(modelItem) currentItem.FiveOneARMLastWeek)
            @Html.Raw("<br/>FiveOneARMCountLastWeek : ")@Html.DisplayFor(Function(modelItem) currentItem.FiveOneARMCountLastWeek)
            @Html.Raw("<p></p>")
Next
<div>
    @Html.ActionLink("Back to Home", "Index", "Home")
</div>
