﻿@ModelType AzureMarketPlace.Helpers.Zillow.UpdatedPropertyDetailsEntity

@Code
    ViewData("Title") = "PropertyDetail"
End Code

<h2>Zillow Property Detail (for U.S. White House)</h2>

<fieldset>
    <div class="display-label">ZillowPropertyId</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.ZillowPropertyId)
    </div>

    <div class="display-label">CurrentMonthPageViewCount</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.CurrentMonthPageViewCount)
    </div>

    <div class="display-label">TotalMonthPageViewCount</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.TotalMonthPageViewCount)
    </div>

    <div class="display-label">Street</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.Street)
    </div>

    <div class="display-label">ZipCode</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.ZipCode)
    </div>

    <div class="display-label">City</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.City)
    </div>

    <div class="display-label">State</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.State)
    </div>

    <div class="display-label">Latitude</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.Latitude)
    </div>

    <div class="display-label">Longitude</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.Longitude)
    </div>

    <div class="display-label">PostingStatus</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PostingStatus)
    </div>

    <div class="display-label">PostingAgentName</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PostingAgentName)
    </div>

    <div class="display-label">PostingagentProfileUrl</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PostingagentProfileUrl)
    </div>

    <div class="display-label">PostingAgentbrokerage</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PostingAgentbrokerage)
    </div>

    <div class="display-label">PostingType</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PostingType)
    </div>

    <div class="display-label">PostingLastUpdatedDate</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PostingLastUpdatedDate)
    </div>

    <div class="display-label">PostingExternalUrl</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PostingExternalUrl)
    </div>

    <div class="display-label">PostingMls</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PostingMls)
    </div>

    <div class="display-label">Price</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.Price)
    </div>

    <div class="display-label">PriceCurrency</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PriceCurrency)
    </div>

    <div class="display-label">HomeDetailsLink</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.HomeDetailsLink)
    </div>

    <div class="display-label">PhotoGalleryLink</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.PhotoGalleryLink)
    </div>

    <div class="display-label">HomeInfoLink</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.HomeInfoLink)
    </div>

    <div class="display-label">ImagesCount</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.ImagesCount)
    </div>

    <div class="display-label">ImageUrl</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.ImageUrl)
    </div>

    <div class="display-label">EditedFactsUseCode</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsUseCode)
    </div>

    <div class="display-label">EditedFactsBedrooms</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsBedrooms)
    </div>

    <div class="display-label">EditedFactsBathrooms</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsBathrooms)
    </div>

    <div class="display-label">EditedFactsFinishedSqFt</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsFinishedSqFt)
    </div>

    <div class="display-label">EditedFactsLotSizeSqFt</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsLotSizeSqFt)
    </div>

    <div class="display-label">EditedFactsYearBuilt</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsYearBuilt)
    </div>

    <div class="display-label">EditedFactsYearUpdated</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsYearUpdated)
    </div>

    <div class="display-label">EditedFactsNumberOfFloors</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsNumberOfFloors)
    </div>

    <div class="display-label">EditedFactsBasement</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsBasement)
    </div>

    <div class="display-label">EditedFactsRoof</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsRoof)
    </div>

    <div class="display-label">EditedFactsView</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsView)
    </div>

    <div class="display-label">EditedFactsParkingType</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsParkingType)
    </div>

    <div class="display-label">EditedFactsHeatingSources</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsHeatingSources)
    </div>

    <div class="display-label">EditedFactsHeatingSystem</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsHeatingSystem)
    </div>

    <div class="display-label">EditedFactsAppliances</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsAppliances)
    </div>

    <div class="display-label">EditedFactsFloorCovering</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsFloorCovering)
    </div>

    <div class="display-label">EditedFactsRooms</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.EditedFactsRooms)
    </div>

    <div class="display-label">HomeDescription</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.HomeDescription)
    </div>

    <div class="display-label">Neighborhood</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.Neighborhood)
    </div>

    <div class="display-label">SchoolDistrict</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.SchoolDistrict)
    </div>

    <div class="display-label">ElementarySchool</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.ElementarySchool)
    </div>

    <div class="display-label">MiddleSchool</div>
    <div class="display-field">
        @Html.DisplayFor(Function(model) model.MiddleSchool)
    </div>
</fieldset>
<div>
    @Html.ActionLink("Back to Home", "Index", "Home")
</div>