﻿@ModelType IEnumerable(Of AzureMarketPlace.Helpers.Zillow.ComparablesEntity)

@Code
    ViewData("Title") = "Valuation"
End Code

<h2>Zillow Market Valuation</h2>

<table>
    <tr>
        <th>
            ZillowPropertyId
        </th>
        <th>
            Score
        </th>
        <th>
            HomeDetailsLink
        </th>
        <th>
            GraphsAndDataLink
        </th>
        <th>
            MapThisHomeLink
        </th>
        <th>
            MyEstimatorLink
        </th>
        <th>
            MyZestimatorLink
        </th>
        <th>
            ComparablesLink
        </th>
        <th>
            Street
        </th>
        <th>
            ZipCode
        </th>
        <th>
            City
        </th>
        <th>
            State
        </th>
        <th>
            Latitude
        </th>
        <th>
            Longitude
        </th>
        <th>
            ZestimateAmount
        </th>
        <th>
            ZestimateAmountCurrency
        </th>
        <th>
            ZestimateLastUpdated
        </th>
        <th>
            ZestimateOneWeekChange
        </th>
        <th>
            ZestimateOneWeekChangeDeprecated
        </th>
        <th>
            ZestimateValueChange
        </th>
        <th>
            ZestimateValueChangeDuration
        </th>
        <th>
            ZestimateValueChangeCurrency
        </th>
        <th>
            ZestimateValuationRangeLow
        </th>
        <th>
            ZestimateValuationRangeLowCurrency
        </th>
        <th>
            ZestimateValuationRangeHigh
        </th>
        <th>
            ZestimateValuationRangeHighCurrency
        </th>
        <th>
            ZestimatePercentile
        </th>
        <th>
            PrincipalZillowPropertyId
        </th>
        <th>
            PrincipalHomeDetailsLink
        </th>
        <th>
            PrincipalGraphsAndDataLink
        </th>
        <th>
            PrincipalMapThisHomeLink
        </th>
        <th>
            PrincipalMyEstimatorLink
        </th>
        <th>
            PrincipalMyZestimatorLink
        </th>
        <th>
            PrincipalComparablesLink
        </th>
        <th>
            PrincipalStreet
        </th>
        <th>
            PrincipalZipCode
        </th>
        <th>
            PrincipalCity
        </th>
        <th>
            PrincipalState
        </th>
        <th>
            PrincipalLatitude
        </th>
        <th>
            PrincipalLongitude
        </th>
        <th>
            PrincipalZestimateAmount
        </th>
        <th>
            PrincipalZestimateAmountCurrency
        </th>
        <th>
            PrincipalZestimateLastUpdated
        </th>
        <th>
            PrincipalZestimateOneWeekChange
        </th>
        <th>
            PrincipalZestimateOneWeekChangeDeprecated
        </th>
        <th>
            PrincipalZestimateValueChange
        </th>
        <th>
            PrincipalZestimateValueChangeDuration
        </th>
        <th>
            PrincipalZestimateValueChangeCurrency
        </th>
        <th>
            PrincipalZestimateValuationRangeLow
        </th>
        <th>
            PrincipalZestimateValuationRangeLowCurrency
        </th>
        <th>
            PrincipalZestimateValuationRangeHigh
        </th>
        <th>
            PrincipalZestimateValuationRangeHighCurrency
        </th>
        <th>
            PrincipalZestimatePercentile
        </th>
    </tr>

@For Each item In Model
    Dim currentItem = item
    @<tr>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZillowPropertyId)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Score)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.HomeDetailsLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.GraphsAndDataLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.MapThisHomeLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.MyEstimatorLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.MyZestimatorLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ComparablesLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Street)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZipCode)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.City)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.State)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Latitude)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.Longitude)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateAmount)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateAmountCurrency)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateLastUpdated)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateOneWeekChange)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateOneWeekChangeDeprecated)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateValueChange)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateValueChangeDuration)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateValueChangeCurrency)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateValuationRangeLow)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateValuationRangeLowCurrency)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateValuationRangeHigh)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimateValuationRangeHighCurrency)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.ZestimatePercentile)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZillowPropertyId)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalHomeDetailsLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalGraphsAndDataLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalMapThisHomeLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalMyEstimatorLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalMyZestimatorLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalComparablesLink)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalStreet)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZipCode)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalCity)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalState)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalLatitude)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalLongitude)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateAmount)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateAmountCurrency)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateLastUpdated)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateOneWeekChange)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateOneWeekChangeDeprecated)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateValueChange)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateValueChangeDuration)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateValueChangeCurrency)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateValuationRangeLow)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateValuationRangeLowCurrency)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateValuationRangeHigh)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimateValuationRangeHighCurrency)
        </td>
        <td>
            @Html.DisplayFor(Function(modelItem) currentItem.PrincipalZestimatePercentile)
        </td>
    </tr>
Next

</table>
<div>
    @Html.ActionLink("Back to Home", "Index", "Home")
</div>