﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AzureMarketPlace.Helpers
{
    public class ServiceUri
    {
        public const string ServiceUriTranslator = "https://api.datamarket.azure.com/Bing/MicrosoftTranslator/";
        public const string ServiceUriTwitter = "https://api.datamarket.azure.com/InfoChimpsInc/Trstrank/";
        public const string ServiceUriUNGender2007 = "https://api.datamarket.azure.com/UnitedNations/GenderInfo2007/";
        public const string ServiceUriUNKeyGLobalIndicators = "https://api.datamarket.azure.com/UnitedNations/GlobalIndicators/";
        public const string ServiceUriUNMillenniumDevelopmentGoals = "https://api.datamarket.azure.com/UnitedNations/MDG/";
        public const string ServiceUriUNHIVAIDS = "https://api.datamarket.azure.com/UnitedNations/AIDS/";
        public const string ServiceUriUNWorldHealthOrganization = "https://api.datamarket.azure.com/UnitedNations/WHO/";
        public const string ServiceUriUSCrime2006_2008 = "https://api.datamarket.azure.com/data.gov/Crimes/";
        public const string ServiceUriWolframFacts = "https://api.datamarket.azure.com/WolframAlpha/Facts/";
        public const string ServiceUriWorldBankWorldDevelopmentIndicators = "https://api.datamarket.azure.com/WorldBank/WorldDevelopmentIndicators/";
        public const string ServiceUriZillowHomeValuation = "https://api.datamarket.azure.com/Zillow/HomeValuationAPIs/";
        public const string ServiceUriZillowMortgateInformation = "https://api.datamarket.azure.com/Zillow/MortgageInformationAPIs/";
        public const string ServiceUriZillowNeighborhoodData = "https://api.datamarket.azure.com/Zillow/NeighborhoodDataAPIs/";
        public const string ServiceUriZillowPropertyDetails = "https://api.datamarket.azure.com/Zillow/PropertyDetailsAPIs/";
        public const string ServiceUriDatabases = "https://api.datamarket.azure.com/Services/All/Datasets/";

        public static Uri Translator
        {
            get { return new Uri(ServiceUriTranslator); }
        }

        public static Uri Twitter 
        {
            get { return new Uri(ServiceUriTwitter); }
        }

        public static Uri UNGender2007
        {
            get { return new Uri(ServiceUriUNGender2007); }
        }

        public static Uri UNKeyGlobalIndicators
        {
            get { return new Uri(ServiceUriUNKeyGLobalIndicators); }
        }

        public static Uri UNMillenniumDevelopmentGoals
        {
            get { return new Uri(ServiceUriUNMillenniumDevelopmentGoals); }
        }

        public static Uri UNHIVAIDS
        {
            get { return new Uri(ServiceUriUNHIVAIDS); }
        }

        public static Uri UNWorldHealthOrganization
        {
            get { return new Uri(ServiceUriUNWorldHealthOrganization); }
        }

        public static Uri USCrime2006_2008
        {
            get { return new Uri(ServiceUriUSCrime2006_2008); }
        }

        public static Uri WolframFacts
        {
            get { return new Uri(ServiceUriWolframFacts); }
        }

        public static Uri WorldBankWorldDevelopmentIndicators
        {
            get { return new Uri(ServiceUriWorldBankWorldDevelopmentIndicators); }
        }

        public static Uri ZillowHomeValuation
        {
            get { return new Uri(ServiceUriZillowHomeValuation); }
        }

        public static Uri ZillowMortgateInformation
        {
            get { return new Uri(ServiceUriZillowMortgateInformation); }
        }

        public static Uri ZillowNeighborhoodData
        {
            get { return new Uri(ServiceUriZillowNeighborhoodData); }
        }

        public static Uri ZillowPropertyDetails
        {
            get { return new Uri(ServiceUriZillowPropertyDetails); }
        }
        public static Uri Databases
        {
            get { return new Uri(ServiceUriDatabases); }
        }
    }
}
